ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Builtin.Types.Literals

# Documentation

tryInteractInertFam :: BuiltInSynFamily -> TyCon -> [Type] -> [Type] -> [(CoAxiomRule, TypeEqn)] Source #

tryInteractTopFam :: BuiltInSynFamily -> TyCon -> [Type] -> Type -> [(CoAxiomRule, TypeEqn)] Source #

tryMatchFam :: BuiltInSynFamily -> [Type] -> Maybe (CoAxiomRule, [Type], Type) Source #

typeNatTyCons :: [TyCon] Source #

typeNatCoAxiomRules :: UniqFM FastString CoAxiomRule Source #

data BuiltInSynFamily Source #

Constructors

BuiltInSynFamily |

Fields

- sfMatchFam :: [BuiltInFamRewrite]
- sfInteract :: [BuiltInFamInjectivity]

typeNatAddTyCon :: TyCon Source #

typeNatMulTyCon :: TyCon Source #

typeNatExpTyCon :: TyCon Source #

typeNatSubTyCon :: TyCon Source #

typeNatDivTyCon :: TyCon Source #

typeNatModTyCon :: TyCon Source #

typeNatLogTyCon :: TyCon Source #

typeNatCmpTyCon :: TyCon Source #

typeSymbolCmpTyCon :: TyCon Source #

typeSymbolAppendTyCon :: TyCon Source #

typeCharCmpTyCon :: TyCon Source #

typeConsSymbolTyCon :: TyCon Source #

typeUnconsSymbolTyCon :: TyCon Source #

typeCharToNatTyCon :: TyCon Source #

typeNatToCharTyCon :: TyCon Source #